
Summary:	Convert PostScript and PDF files into various vector-graphic formats
Name:		pstoedit
Version:	3.40
Release:	1.PU_IAS.2
License:	GPL
Group:		Applications/Graphics
Source:		pstoedit-%{version}.tar.gz
URL:		http://www.pstoedit.net/pstoedit
BuildRequires:	unzip
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRequires:	libpng-devel
BuildRequires:	plotutils
Requires:	ghostscript
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description
pstoedit converts PostScript and PDF files into a wide variety of
editable (and not-so-editable) formats: gnuplot, idraw, xfig, tgif,
Tcl/Tk, HPGL, PIC, LaTeX2e, MetaPost, Sketch, KIllustrator, PDF, GNU
metafile, Java, DXF, Real3D, RenderMan, LightWave, Adobe Illustrator,
simplified PostScript, and any format that Ghostscript or the GNU
plotting utilities can output, such as Tektronix, CGM, and various
bitmap formats.

%package devel
Summary: pstoedit development libraries and include files.
Group:          Development/Graphics
License: GPL

%description devel
pstoedit development libraries and include files.

%prep
%setup -q

%build
# we need the following since it cannot find libpstoedit library during build...
export LDFLAGS="-L. -L.libs"
#configure --libdir=%{_datadir}/pstoedit
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
cp -af java $RPM_BUILD_ROOT%{_datadir}/pstoedit
rm -f $RPM_BUILD_ROOT%{_datadir}/pstoedit/java/*/readme*

gzip -9nf doc/readme.txt java/java1/readme_java1.txt
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/pstoedit.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(644,root,root,755)
%doc doc/*.gz java/java1/*.gz doc/*.htm java/java2/readme_java2.html doc/pstoedit.tex
%attr(755,root,root) %{_bindir}/*
%{_datadir}/pstoedit
%{_mandir}/man1/*
%{_libdir}/*.so.0*
%{_libdir}/pstoedit/*.so.0*

%files devel
%defattr(644,root,root,755)
%{_includedir}/pstoedit
%{_libdir}/pkgconfig/*
%{_libdir}/libps*a
%{_libdir}/pstoedit/lib*a
%{_libdir}/pstoedit/*.so
%{_datadir}/aclocal/pstoedit.m4



%changelog
* Thu Aug 26 2004 Josko Plazonic <plazonic@math.princeton.edu>
- packaging fixes

* Thu Jun 20 2004 Josko Plazonic <plazonic@math.princeton.edu>
- upgrade to version 3.33

* Thu Dec 06 2001 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for local use from a Polish Team package 

